using System;

class Pecina
{
    static void Main()
    {
        var ulaz = Console.ReadLine().Split();
        long n = long.Parse(ulaz[0]);
        long l = long.Parse(ulaz[1]);
        long p = -1;
        var ulaz2 = Console.ReadLine().Split();
        for (long i=0; i<n; i++)
        {
            long h = long.Parse(ulaz2[i]);
            if (h<=l)
            {
                Console.WriteLine (i+1);
                return;
            }
        }
        Console.WriteLine (p);
    }
}